Subject: Re: HFDC, SCSI & Geneve......

From: fdos <[email-masked]>
Date: Tue, 10 Nov 2009 11:07:19 -0700

All,

As of this morning my 3 shared SCSI systems (TI-99/4A, TI-99/4P & GenMod
Geneve) are all accessing the 3 SCSI drives (Solid State CF card, EZ135S
& EZ230S) & CD-ROM drive (CD-516S). I can power down any drive(s) or
computer(s), and those still powered work fine. Normally only the Solid
State drive will be powered, as the SyQuest cartridge drives are for
backups and the CD-ROM for archives.

Unfortunately, the Geneve still has the initial delay in accessing the
Solid State CF device, so I can't boot from it under any circumstances.
I still need a solution to this problem in order to have the network
operation desired.

Any and all assistance welcomed.

I haven't checked out CD Commander yet with either TI system.
Previously the CD-ROM drive was only connected to the Geneve, and for
some reason I never got it to work. Back at the time no one could
validate operation with the Geneve, but since then I think that has been
accomplished. I'm not sure about this. Anyone?

Bill S

fdos wrote:
> James,
> 
> My SCSI/IDE bridge has strapping options for TERMINATION & TERMINATION 
> POWER, and they have been set properly, so not the issue.  My SCSI bus 
> chain has the Geneve with WHT SCSI card at one end and passive SCSI 
> termination connected to one of the two SCSI cable connectors.  The 
> other cable goes to the CD-ROM that I'm sure I removed the SCSI 
> termination from, and from there to the SyQuest EZ235 Cartridge drive 
> which cables on to the SyQuest EZFlyer230 Cartridge drive, and from 
> there it goes to the WHT SCSI card in the TI-4P system WHT SCSI card 
> (all termination removed), and then from there it goes to the Solid 
> State SCSI drive (all termination removed), and then finally to the TI 
> 4A system with WHT SCSI card where passive termination is installed. 
> There is no further SCSI cabling connected.
> 
> Both TI systems can access all 3 SCSI hard drives normally.  I haven't 
> set up the CD-ROM for TI access yet as it was specific to the Geneve 
> previously.
> 
> Bill S
> 
> Postle wrote:
>>  
>>
>> Bill,
>>
>>  >From all that I have read, the IDE Bridge Card and the IDE Card 
>> Adapter do the SCSI "TERMINATION". As such, they are to be last in the 
>> chain of SCSI Device events. If not, you will incurr problems. There 
>> should "NOT" be any other TERMINATIONS with the other SCSI Devices you 
>> have installed.
>>
>> Postle
>>
>> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>>
>> --- In [email-masked] <mailto:ti99-4a%40yahoogroups.com>, fdos 
>> <fdosbrs@...> wrote:
>>  >
>>  > In addition to the SCSI issues, if you recall, I traded MFM hard drives
>>  > as the Geneve MFM drive wouldn't boot or catalog, so that MFM drive is
>>  > now in my 4P system. I was hoping to reformat it, and then swap the MFM
>>  > drives again, so that all directories on the Geneve MFM drive will be
>>  > created with MDOS.
>>  >
>>  > Unfortunately, not all the sub-directories on this hard drive are
>>  > totally bad. Namely DSK1 and MDM5, as I can't totally catalog them, but
>>  > I also can't load MDM5 from DSK1 either, as it loads the main MDM5 file
>>  > from WDS1.DSK1, but that MDM5 file is a copy of the saved MDM5 file in
>>  > the MDM5 directory where most of the program is located. Obviously, the
>>  > WDS1.MDM5 directory is not totally sound as it gets close to the end of
>>  > the load process it aborts to the TI Title screen. I can load a
>>  > DSK2.MDM5 program successfully, but one can not format the hard disk
>>  > unless certain files are read from the real DSK1, but DSK1 is still
>>  > intercepted by the directory DSK1 on WDS1, so I cannot continue the
>>  > process as the file required is not in the WDS1.DSK1 directory. No
>>  > normal catalog or copy operation works on the DSK1 or MDM5 directories,
>>  > and my only copy of CFORM won't fully load in MDOS, so I'm stuck.
>>  >
>>  > Anyone have a solution to this dilemma?
>>  >
>>  > Bill S
>>  >
>>  > fdos wrote:
>>  > >
>>  > >
>>  > > Further to my complex SCSI problems, I have now made it even more
>>  > > complex, as I have put my two TI systems back together, and have added
>>  > > the Geneve to the shared SCSI bus. Naturally, to be expected, I've
>>  > > encountered even more difficulties.
>>  > >
>>  > > One major new issue is the WHT SCSI card in the Standard TI-99/4A PEB
>>  > > system is automatically turning itself on and off (LED indications)
>>  > > randomly or so it seems. All operation is frozen when the SCSI LED is
>>  > > on, including flashing cursor that stops. I will isolate this 
>> weirdo later.
>>  > >
>>  > > DU2K on the SNUG-TI (TI-99/4P) PEB system is able to identify all the
>>  > > SCSI devices on the SCSI bus (the Solid State SCSI drive at ID0, the
>>  > > EZ135S at ID1, the EZ230S at ID2 and the CD-ROM CD-5165 at ID4) except
>>  > > for the WHT SCSI cards (whenever the other TI and Geneve are 
>> powered up,
>>  > > but have not attempted to access the SCSI bus).
>>  > >
>>  > > (I don't know what has happened as I'm doing the DU2K testing as I 
>> write
>>  > > this post, but the 4A system is now behaving normally--no random SCSI
>>  > > LED operation, and DU2K on this 4A system is able to identify all the
>>  > > SCSI devices exactly the same as DU2K on the 4P system. Now I'm going
>>  > > to the Geneve, which is already powered, to execute SCSI POWER, and see
>>  > > how everything still works or not. I found the Geneve already frozen,
>>  > > so I rebooted and rechecked DU2K operation on both the 4A and 4P
>>  > > systems--both AOK. Now I went back to the Geneve and ran SCSI POWER.
>>  > > No device present at any ID except for the local WHT SCSI card at ID6.
>>  > > Rechecked DU2K operation on both TI systems--AOK. Apparently, something
>>  > > is breaking the SCSI bus chain as the Geneve SCSI card cables directly
>>  > > to the the CD-ROM drive which is seen by both TI systems. This would
>>  > > seem to indicate that SCSI termination is set on the CD-ROM drive, but
>>  > > why wouldn't the Geneve see it, and nothing else further down the 
>> chain?
>>  > > I thought I removed it when I removed the CD-ROM drive from the Geneve
>>  > > case and put it in the stand-alone powered case which use to house the
>>  > > primary SCSI drive, in a mobile rack, for the TI systems.
>>  > >
>>  > > Obviously I have to do some more testing with some SCSI devices powered
>>  > > and some not powered to see the overall effect at each TI or Geneve 
>> system.
>>  > >
>>  > > Any good ideas welcome.
>>  > >
>>  > > Bill S
>>  > >
>>  > > fdos wrote:
>>  > > >
>>  > > >
>>  > > > Now that the SCSI ID issue is resolved I'm making some progress 
>> with the
>>  > > > Geneve/SCSI problem. It seems it doesn't get along with the Solid 
>> State
>>  > > > SCSI drive termination (this unit now has an 80 x 1GB CF card). It
>>  > > > doesn't matter if termination is off or termination power is on 
>> or off
>>  > > > or both are on, therefore I removed the electronics from the box so I
>>  > > > could get to the 50 pin IDC and provide my own termination.
>>  > > >
>>  > > > It does work after an initial delay, but once CHKDSK has 
>> completed the
>>  > > > first time it is thereafter immediately available for use in 
>> MDOS. GPL
>>  > > > mode is another story in that DU2K can't see anything on the SCSI 
>> buss,
>>  > > > but DM2K works fine with it. I have no idea--Fred?
>>  > > >
>>  > > > This delay also means that I can't boot MDOS from this Solid 
>> State SCSI
>>  > > > drive due to the initial delay that also occurs after a warm reboot.
>>  > > > The SCSI card is accessed (LED flash), but no indication of a drive
>>  > > > access (not even an LED flicker), so I always get the "SCSI/SYS" not
>>  > > > found" error.
>>  > > >
>>  > > > A Quantum 240MB SCSI drive does not have an initial delay (a power up
>>  > > > delay, but none after a warm reboot), and can be seen by DU2K in GPL
>>  > > > mode. I may have noticed a small delay on first access of the Solid
>>  > > > State SCSI drives on the TI systems, I can't be sure as I can't 
>> check it
>>  > > > now because I'm using some of the necessary SCSI cables on the
>>  > > > stand-alone Geneve system right now.
>>  > > >
>>  > > > Once I bridge the Geneve's SCSI buss with the SCSI buss of my two TI
>>  > > > systems I will need for the Geneve to boot from the Solid State SCSI
>>  > > > drive in the event the MFM hard drive fails as booting from 
>> floppy is no
>>  > > > longer tolerable because it reminds me of the boot up time for my 
>> VISTA
>>  > > > PC. Any ideas why this Solid State SCSI drive has this delay in MDOS?
>>  > > >
>>  > > > Bill S
>>  > > >
>>  > > > fdos wrote:
>>  > > > >
>>  > > > >
>>  > > > > James,
>>  > > > >
>>  > > > > I thought I was clear on the matter. The MDOS SCSI program 
>> called POWER
>>  > > > > can read the identity of all the SCSI devices connected to the 
>> SCSI
>>  > > buss
>>  > > > > including the WHT SCSI card. When it can read all the SCSI devices
>>  > > > > connected except the WHT SCSI card (in this case ID7) the Geneve is
>>  > > > > unable to access any of the SCSI devices that were identified. 
>> Any time
>>  > > > > switch 2 is on, regardless of the other two ID switch positions,
>>  > > the WHT
>>  > > > > SCSI identity can't be read, so SCSI fails completely. 
>> Therefore ID1,
>>  > > > > ID5 and ID7 always fail as they require dip switch 2 to be "on".
>>  > > > >
>>  > > > > Hopefully this is now totally clear.
>>  > > > >
>>  > > > > Bill S
>>  > > > >
>>  > > > > Postle wrote:
>>  > > > > >
>>  > > > > >
>>  > > > > > Bill,
>>  > > > > >
>>  > > > > > I do "NOT" believe that the switch or a switch is your 
>> problem. I
>>  > > would
>>  > > > > > believe that the selected "CRU" is. Or... Remotely, an improperly
>>  > > > > > selected ID may be the cause.
>>  > > > > >
>>  > > > > > I am not sure 1200 is correct selection with my system. This 
>> as I
>>  > > still
>>  > > > > > cannot "DELETE" a file using DM2K? Richard states there is "NO"
>>  > > > problems
>>  > > > > > with the use of CRU "1900". Anyway, that is where I am going 
>> next.
>>  > > > > >
>>  > > > > > We do not have use of a simulated DSK1.. So a CRU of 1200 is of
>>  > > no use.
>>  > > > > > Having a RAM Card, in my case a CorComp 512 Memory Card, can be
>>  > > > used for
>>  > > > > > the Virtural "DSK1." Boot Disk.
>>  > > > > >
>>  > > > > > If you are not sure, jumper (Hot Wire) the switch. But, the same
>>  > > > problem
>>  > > > > > with two card is "NOT" a likely happenstance.
>>  > > > > >
>>  > > > > > Postle
>>  > > > > >
>>  > > > > > 
>> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>>  > > > > >
>>  > > > > > --- In [email-masked] 
>> <mailto:Geneve9640%40yahoogroups.com>
>>  > > <mailto:Geneve9640%40yahoogroups.com>
>>  > > > <mailto:Geneve9640%40yahoogroups.com>
>>  > > > > <mailto:Geneve9640%40yahoogroups.com>
>>  > > > > <mailto:Geneve9640%40yahoogroups.com>,
>>  > > > > > "ti99_forever" <ti99_forever@> wrote:
>>  > > > > > >
>>  > > > > > > Hmm... is this issue coming up because of repeated use of the
>>  > > > > > switches, or because of non-use?
>>  > > > > > >
>>  > > > > > > Just curious - I never mess with mine, and I'd like to 
>> think that I
>>  > > > > > can rule it out if I have issues.
>>  > > > > > >
>>  > > > > > > --- In [email-masked] 
>> <mailto:Geneve9640%40yahoogroups.com>
>>  > > <mailto:Geneve9640%40yahoogroups.com>
>>  > > > <mailto:Geneve9640%40yahoogroups.com>
>>  > > > > <mailto:Geneve9640%40yahoogroups.com>
>>  > > > > > <mailto:Geneve9640%40yahoogroups.com>, fdos <fdosbrs@> wrote:
>>  > > > > > > >
>>  > > > > > > > Tony,
>>  > > > > > > >
>>  > > > > > > > I have several edge connector cleaner & protector sticks 
>> from
>>  > > Radio
>>  > > > > > > > Shack that work well for this purpose. I know I did the 
>> TI stuff
>>  > > > > > when I
>>  > > > > > > > was putting those systems back together, but I'm not sure 
>> if I
>>  > > > > did the
>>  > > > > > > > Geneve cards then (I brought the Geneve stuff in from the
>>  > > garage at
>>  > > > > > the
>>  > > > > > > > same time as the TI stuff). In any case, the HFDC hard 
>> and floppy
>>  > > > > > > > drives and both Geneves are working well now (well I do 
>> have to
>>  > > > > reload
>>  > > > > > > > MDOS in FLASH for the PFM512K+ Geneve for it to be 100%). 
>> My only
>>  > > > > > > > problems remain with SCSI, and I may have found the culprit.
>>  > > > > > > >
>>  > > > > > > > You already made the observation that the CRU dip 
>> switches are
>>  > > > > > > > problematic, and now it appears the dip switch that sets 
>> PDMA,
>>  > > > > > TI/Geneve
>>  > > > > > > > and ID selection for the SCSI card are also suspect. It seems
>>  > > > > that ID7
>>  > > > > > > > for the SCSI card ID (dip switch 2 on my two Rev "F" cards,
>>  > > but dip
>>  > > > > > > > switch 1 on my Rev "G" card) is not working properly on my
>>  > > original
>>  > > > > > > > Geneve SCSI card.
>>  > > > > > > >
>>  > > > > > > > With the ID set to 6 I was able to CHKDSK & DIR both of 
>> my Solid
>>  > > > > State
>>  > > > > > > > SCSI drives. Naturally, this led to exercising dip switch 
>> 2 in
>>  > > > > hopes of
>>  > > > > > > > regaining ID7, but to no avail. Whenever SCSI POWER cannot
>>  > > > > > determine an
>>  > > > > > > > ID for the SCSI card I loose access to the SCSI drives even
>>  > > though
>>  > > > > > they
>>  > > > > > > > are completely identified at the appropriate SCSI ID. This
>>  > > means I
>>  > > > > > have
>>  > > > > > > > to replace the switch or solder the dip 2 switch 
>> connection or
>>  > > > leave
>>  > > > > > > > this SCSI card at ID6 and change the SCSI Rev "G" card 
>> from ID6
>>  > > > > to ID7.
>>  > > > > > > >
>>  > > > > > > > I will clean the edge connectors just to be sure.
>>  > > > > > > >
>>  > > > > > > > Bill S
>>  > > > > > > >
>>  > > > > > > >
>>  > > > > > > > Tony Knerr wrote:
>>  > > > > > > > >
>>  > > > > > > > >
>>  > > > > > > > > Bill,
>>  > > > > > > > >
>>  > > > > > > > > Have you tried cleaning the contacts on the card's edge
>>  > > > connectors?
>>  > > > > > > > > I sometimes need to do that. A pencil eraser does a 
>> nice job.
>>  > > > > > > > >
>>  > > > > > > > > Tony
>>  > > > > > > > >
>>  > > > > > > > >
>>  > > > > > > >
>>  > > > > > >
>>  > > > > >
>>  > > > > >
>>  > > > >
>>  > > > >
>>  > > >
>>  > > >
>>  > >
>>  > >
>>  >
>>
>>
> 
> 
> ------------------------------------
> 
> For users/owners of TI-99/4A Geneve 9640 computers everywhere!
>  Visit the TI99'ers Hall of Fame at http://www.ti99hof.org/. 
>  Check out the TI99ers On-Line User Group at http://www.ti99ers.org/. 
>  Send abuse reports to [email-masked]! Groups Links
> 
> 
> 
>

---

From: Owen Brand <[email-masked]>
Date: Tue, 10 Nov 2009 13:44:50 -0500

Congrats... It's been a long hard road, hasn't it?

Owen Brand
**Oprysoft**
Opry99er.com